> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Player Shared Secrets

> Returns all Player Shared Secret Keys including disabled and expired.



## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/GetPlayerSharedSecrets
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/GetPlayerSharedSecrets:
    post:
      tags:
        - Authentication
      summary: Get Player Shared Secrets
      description: Returns all Player Shared Secret Keys including disabled and expired.
      operationId: GetPlayerSharedSecrets
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPlayerSharedSecretsRequest'
        description: >-
          Player Shared Secret Keys are used for the call to
          Client/GetTitlePublicKey, which exchanges the shared secret for an RSA
          CSP blob to be used to encrypt the payload of account creation
          requests when that API requires a signature header.
      responses:
        '200':
          $ref: '#/components/responses/GetPlayerSharedSecretsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetPlayerSharedSecretsRequest:
      description: >-
        Player Shared Secret Keys are used for the call to
        Client/GetTitlePublicKey, which exchanges the shared secret for an RSA
        CSP blob to be used to encrypt the payload of account creation requests
        when that API requires a signature header.
      type: object
      properties: {}
      example: {}
    GetPlayerSharedSecretsResult:
      type: object
      properties:
        SharedSecrets:
          description: >-
            The player shared secret to use when calling
            Client/GetTitlePublicKey
          type: array
          items:
            $ref: '#/components/schemas/SharedSecret'
          x-isclass: true
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    SharedSecret:
      type: object
      properties:
        Disabled:
          description: Flag to indicate if this key is disabled
          type: boolean
        FriendlyName:
          description: Friendly name for this key
          type: string
        SecretKey:
          description: >-
            The player shared secret to use when calling
            Client/GetTitlePublicKey
          type: string
      required:
        - Disabled
      example:
        SecretKey: keysaresecret
        FriendlyName: Android Users
  responses:
    GetPlayerSharedSecretsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetPlayerSharedSecretsResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Player Shared Secrets](/services/playfab/api-references/rest/admin/authentication/get-player-shared-secrets.md)
- [Create Player Shared Secret](/services/playfab/api-references/rest/admin/authentication/create-player-shared-secret.md)
- [Delete Player Shared Secret](/services/playfab/api-references/rest/admin/authentication/delete-player-shared-secret.md)
- [Update Player Shared Secret](/api-reference/authentication/update-player-shared-secret.md)
- [Player Encryption Services](/services/playfab/identity/player-identity/encryption/player-encryption-services.md)
